package com.ruoyi.applet.contoller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.model.domain.AppletOrder;
import com.ruoyi.model.domain.AppletOrderItem;
import com.ruoyi.model.domain.AppletOrderItemDateLog;
import com.ruoyi.model.domain.AppletPet;
import com.ruoyi.model.service.IAppletOrderItemDateLogService;
import com.ruoyi.model.service.IAppletOrderItemService;
import com.ruoyi.model.service.IAppletOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(description = "订单模块 - 打卡记录")
@RestController
@RequestMapping("/applet/orderItemLog")
public class ApiAppletOrderItemLogController {

    @Autowired
    private IAppletOrderItemDateLogService appletOrderItemDateLogService;

    @Autowired
    private IAppletOrderService appletOrderService;
    @Autowired
    private IAppletOrderItemService appletOrderItemService;







    //增加或者修改打卡记录
    @ApiOperation("增加或者修改打卡记录")
    @PostMapping("/addOrUpdate")
    public AjaxResult addOrUpdate(@RequestBody AppletOrderItemDateLog appletOrderItemDateLog)
    {
        if(appletOrderItemDateLog.getId()!=null){
            int i = appletOrderItemDateLogService.updateAppletOrderItemDateLog(appletOrderItemDateLog);

        }else{
            int i = appletOrderItemDateLogService.insertAppletOrderItemDateLog(appletOrderItemDateLog);

        }

        if(appletOrderItemDateLog.getSubmitFlag()!= null){
            //根据订单标识查询订单信息
            AppletOrderItem orderItem = new AppletOrderItem();
            orderItem.setId(appletOrderItemDateLog.getItemOrderId());
            AppletOrderItem appletOrder = appletOrderItemService.selectAppletOrderItemById(appletOrderItemDateLog.getItemOrderId());
            appletOrder.setOrderStatus(appletOrderItemDateLog.getSubmitFlag());
            appletOrderItemService.updateAppletOrderItem(appletOrder);
        }
        return AjaxResult.success("打卡成功");
    }


    //根据订单标识查询打卡记录
    @ApiOperation("根据订单标识查询打卡记录")
    @GetMapping(value = "/getByOrderId/{itemDateId}")
    public AjaxResult getInfo(@PathVariable("itemDateId") Long itemDateId) {
        AppletOrderItemDateLog appletOrderItemDateLog = new AppletOrderItemDateLog();
        appletOrderItemDateLog.setItemOrderId(itemDateId);
        AppletOrderItemDateLog appletOrderItemDateLog1 = appletOrderItemDateLogService.selectAppletOrderItemDateLogByItemDateId(itemDateId);
        return AjaxResult.success(appletOrderItemDateLog1);
    }










}
